/* Copyright 2025 by COG9 Enterprises LLC
 * All rights reserved.
 * Title: screens.h
 * Author: Jed Marti KI7NNP
 * Description: Screen control constants and prototypes.
 * Created: Sun Oct 12 07:02:09 2025
 * Revision History:
 */

#ifndef screens_h
#define screens_h


// Various screens. The order is next button.
enum {
      startPage = 0,
      powerPage = 1,
      tempPage  = 2,
      errorPage = 3,
      maAPage   = 4,            // Current pages.
      maBPage   = 5,
      maCPage   = 6,
      TAPage    = 7,
      TBPage    = 8,
      TCPage    = 9,
      TAUXPage  = 10,
      BATPage   = 11,
      lastPage  = 11             // Number of last screen
};


void nextScreen(void);
void prevScreen(void);
void errorMessage(char *m1, char *m2, char *m3);
void clearErrorMessages(void);
void errorScreen(void);
void initScreens(void);
void showScreen(void);

#endif
